summaryrefslogtreecommitdiffstats
path: root/bin/tests/system/tools/tests.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 23:51:28 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 23:51:28 +0000
commit754c7de1e91eeb28c6d3766900ead0c3e44fdb85 (patch)
tree51433c0e38731dc9ecd342555a56f876980b1834 /bin/tests/system/tools/tests.sh
parentAdding debian version 1:9.16.44-1~deb11u1. (diff)
downloadbind9-754c7de1e91eeb28c6d3766900ead0c3e44fdb85.tar.xz
bind9-754c7de1e91eeb28c6d3766900ead0c3e44fdb85.zip
Merging upstream version 1:9.16.48.
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'bin/tests/system/tools/tests.sh')
-rw-r--r--bin/tests/system/tools/tests.sh79
1 files changed, 42 insertions, 37 deletions
diff --git a/bin/tests/system/tools/tests.sh b/bin/tests/system/tools/tests.sh
index 4ce73e1..ddf044c 100644
--- a/bin/tests/system/tools/tests.sh
+++ b/bin/tests/system/tools/tests.sh
@@ -17,32 +17,35 @@ SYSTEMTESTTOP=..
status=0
checkout() {
- case $? in
- 0) : ok ;;
- *) echo_i "failed"
- status=`expr $status + 1`
- return 1 ;;
- esac
- case $out in
- *$hash*) : ok ;;
- *) echo_i "expect $hash"
- echo_i "output $out"
- echo_i "failed"
- status=`expr $status + 1` ;;
- esac
+ case $? in
+ 0) : ok ;;
+ *)
+ echo_i "failed"
+ status=$(expr $status + 1)
+ return 1
+ ;;
+ esac
+ case $out in
+ *$hash*) : ok ;;
+ *)
+ echo_i "expect $hash"
+ echo_i "output $out"
+ echo_i "failed"
+ status=$(expr $status + 1)
+ ;;
+ esac
}
# test cases taken from RFC 5155 appendix A
algo=1 flags=0 iters=12 salt="aabbccdd"
-while read name hash
-do
- echo_i "checking $NSEC3HASH $name"
- out=`$NSEC3HASH $salt $algo $iters $name`
- checkout
+while read name hash; do
+ echo_i "checking $NSEC3HASH $name"
+ out=$($NSEC3HASH $salt $algo $iters $name)
+ checkout
- echo_i "checking $NSEC3HASH -r $name"
- out=`$NSEC3HASH -r $algo $flags $iters $salt $name`
- checkout
+ echo_i "checking $NSEC3HASH -r $name"
+ out=$($NSEC3HASH -r $algo $flags $iters $salt $name)
+ checkout
done <<EOF
*.w.example R53BQ7CC2UVMUBFU5OCMM6PERS9TK9EN
@@ -61,44 +64,46 @@ EOF
# test empty salt
checkempty() {
- hash=CK0POJMG874LJREF7EFN8430QVIT8BSM checkout &&
- hash=- checkout
+ hash=CK0POJMG874LJREF7EFN8430QVIT8BSM checkout \
+ && hash=- checkout
}
name=com algo=1 flags=1 iters=0
echo_i "checking $NSEC3HASH '' $name"
-out=`$NSEC3HASH '' $algo $iters $name`
+out=$($NSEC3HASH '' $algo $iters $name)
checkempty
echo_i "checking $NSEC3HASH - $name"
-out=`$NSEC3HASH - $algo $iters $name`
+out=$($NSEC3HASH - $algo $iters $name)
checkempty
echo_i "checking $NSEC3HASH -- '' $name"
-out=`$NSEC3HASH -- '' $algo $iters $name`
+out=$($NSEC3HASH -- '' $algo $iters $name)
checkempty
echo_i "checking $NSEC3HASH -- - $name"
-out=`$NSEC3HASH -- - $algo $iters $name`
+out=$($NSEC3HASH -- - $algo $iters $name)
checkempty
echo_i "checking $NSEC3HASH -r '' $name"
-out=`$NSEC3HASH -r $algo $flags $iters '' $name`
+out=$($NSEC3HASH -r $algo $flags $iters '' $name)
checkempty
echo_i "checking $NSEC3HASH -r - $name"
-out=`$NSEC3HASH -r $algo $flags $iters - $name`
+out=$($NSEC3HASH -r $algo $flags $iters - $name)
checkempty
checkfail() {
- case $? in
- 0) echo_i "failed to fail"
- status=`expr $status + 1`
- return 1 ;;
- esac
+ case $? in
+ 0)
+ echo_i "failed to fail"
+ status=$(expr $status + 1)
+ return 1
+ ;;
+ esac
}
echo_i "checking $NSEC3HASH missing args"
-out=`$NSEC3HASH 00 1 0 2>&1`
+out=$($NSEC3HASH 00 1 0 2>&1)
checkfail
echo_i "checking $NSEC3HASH extra args"
-out=`$NSEC3HASH 00 1 0 two names 2>&1`
+out=$($NSEC3HASH 00 1 0 two names 2>&1)
checkfail
echo_i "checking $NSEC3HASH bad option"
-out=`$NSEC3HASH -? 2>&1`
+out=$($NSEC3HASH -? 2>&1)
checkfail
echo_i "exit status: $status"